Error when upgrading to new version of Social Groups

lesliedow

Member
Hi
We got this error when upgrading to the new version of Social Groups (from 1.0.6 to 2.1.0)
I'm running XF v2.10

XF\Db\Exception: MySQL statement prepare error [1054]: Unknown column 'xf_tl_group.avatar_attachment_id' in 'on clause' in src/XF/Db/AbstractStatement.php at line 217
 

lesliedow

Member
Please help with this. the social groups are completely nonfunctional at this point. The information you requested was in my first post.
Thanks
 

Truonglv

Staff member
Tech Support
Can you run manual this query:
Code:
alter table xf_tl_group add column avatar_attachment_id int unsigned not null default '0'
 

lesliedow

Member
Hi
I tried to upgrade again, new version to 2.10 and am getting errors. This is what I see when I try to enable the upgraded addon. I used the internal XF 2.0 Install/upgrade from Archive that is now in Xenforo 2.
Any ideas on what is going on?

1571431714726.png
 

lesliedow

Member
I am upgrading from 2.10 to 2.12 and this is what I see when I try to upgrade. I did have it overwrite the files. could that be it?
1571432140269.png
 
Top